kendo ui资源合集
当前位置: 首页 > 使用教程

Kendo UI for jQuery使用教程:操作系统/jQuery支持等

发布时间:2019-08-07

Kendo UI for jQuery最新试用版下载

Kendo UI目前最新提供Kendo UI for jQueryKendo UI for AngularKendo UI Support for ReactKendo UI Support for Vue四个控件。Kendo UI for jQuery是创建现代Web应用程序的最完整UI库。

操作系统支持

Kendo UI小部件和框架组件旨在支持所有主要操作系统。

  • Kendo UI支持混合鼠标和触摸屏设备,例如Windows 8上的Internet Explorer 10,Chrome和Firefox。
  • 要允许浏览器运行脚本,请在所有脚本上启用JavaScript。

下表列出了与Kendo UI兼容的操作系统及其版本。

平台 版本
Windows XP或更高版本
Windows Server Server 2003或更高版本
OS X 10.5或更高版本
Android 2.3或更高版本
iOS 6.0或更高版本
Windows Phone 8.0或更高版本
jQuery支持

Kendo UI库基于jQuery,所有Kendo UI包都在其js目录中包含相应的缩小jQuery库。

注意:为了使Kendo UI脚本按预期工作,请在脚本之前包含对文档中jQuery库的引用。

支持的版本

目前官方版本的Kendo UI需要jQuery v1.12.4,通常每个新发布的jQuery版本都会引入重大更改,并且与现有的Kendo UI版本不兼容。 在这种情况下,请使用之前的jQuery版本,直到该问题在下一个官方Kendo UI版本发布解决。通常Kendo UI Service Pack附带的jQuery版本不会更改,但会在主要版本中更新。

下表提供了与主要Kendo UI版本及其相应Service Pack兼容的jQuery版本列表。

发布的主要版本 jQuery版本 备注
Kendo UI 2019.1.115 (R1 2019) 1.12.4 兼容1.10.x,2.2.x和3.3.1
Kendo UI 2018.3.911 (R3 2018) 1.12.4 兼容1.10.x,2.2.x和3.3.1
Kendo UI 2018.2.516 (R2 2018) 1.12.4 兼容1.10.x,2.2.x和3.3.1
Kendo UI 2018.1.117 (R1 2018) 1.12.4 兼容1.10.x,2.2.x和3.1.1
Kendo UI 2017.3.913 (R3 2017) 1.12.3 兼容1.10.x,2.2.x和3.1.1
Kendo UI 2017.2.504 (R2 2017) 1.12.3 兼容1.10.x,2.2.x和3.1.1
Kendo UI 2017.1.118 (R1 2017) 1.12.3 兼容1.10.x,2.2.x和3.1.1
Kendo UI 2016.3.1118 (R3 2016 SP2) 1.12.3 兼容1.10.x,2.2.x和3.1.1
Kendo UI 2016.3.914 (R3 2016) 1.12.3 兼容1.10.x和2.2.x.
Kendo UI 2016.2.504 (R2 2016) 1.12.3 兼容1.10.x和2.2.x.
Kendo UI 2016.1.112 (Q1 2016) 1.9.1 兼容1.10.x和2.1.x.
Kendo UI 2015.3.930 (Q3 2015) 1.9.1 兼容1.10.x和2.1.x.
Kendo UI 2015.2.624 (Q2 2015) 1.9.1 兼容1.10.x和2.1.x.
Kendo UI 2015.1.318 (Q1 2015) 1.9.1 兼容1.10.x和2.1.x.
Kendo UI 2014.3.1119 (Q3 2014) 1.9.1 兼容1.10.x和2.1.x.
Kendo UI 2014.2.716 (Q2 2014) 1.9.1 兼容1.10.x和2.1.x.
Kendo UI 2014.1.318 (Q1 2014) 1.9.1 兼容1.10.x和2.0.x.
Kendo UI 2013.3.1119 (Q3 2013) 1.9.1 兼容1.10.x和2.0.x.
Kendo UI 2013.2.716 (Q2 2013) 1.9.1
Kendo UI 2013.1.319 (Q1 2013) 1.9.1
Kendo UI 2012.3.1114 (Q3 2012) 1.8.2
Kendo UI 2012.2.710 (Q2 2012) 1.7.1
Kendo UI 2012.1.322 (Q1 2012) 1.7.1
Kendo UI 2011.3.1129 (Q3 2011) 1.7.1
使用早期版本

有时,遗留Web应用程序可能需要与Kendo UI不兼容的早期jQuery版本。 在这种情况下,请使用最新的jQuery版本和jQuery Migrate插件。 它恢复已经折旧的jQuery功能,并提供所需的向后兼容性。

支持导出

Kendo UI for jQuery集成了Pako和JSZip库,以支持将其控件的内容导出为PDF和Excel。

Pako库

Pako Deflate库可以压缩将导出为PDF的文件。要启用PDF导出,您需要在指定页面中加载Pako。

<!– Load Pako Deflate library to enable PDF compression –>
<script src="http://kendo.cdn.telerik.com/2019.2.619/js/pako_deflate.min.js"></script>

JSZip库

小部件支持Excel导出和电子表格支持导入Excel文件时,JSZip库是必需的。 从导出Kendo UI 2014.3.1119 (Q3 2014)版本开始,可以使用Excel导出功能,只有在必须提供导出到Excel或导入fromFile()功能时才需要包含JSZip库。


Kendo UI R2 2019 SP1全新发布,最新动态请持续关注Telerik中文网!

扫描关注慧聚IT微信公众号,及时获取最新动态及最新资讯

慧聚IT微信公众号